package com.ruoyi.bst.remind.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 定时提醒对象 bst_remind
 *
 * @author ruoyi
 * @date 2025-06-10
 */
@Data
public class Remind extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "提醒模式", readConverterExp = "如=：每天、每月、每年、下一次提醒")
    @ApiModelProperty("提醒模式")
    private String reminderPattern;

    @Excel(name = "提醒时机", readConverterExp = "每=天x时，每月x日，每年x月x日，下次x年x月x日")
    @ApiModelProperty("提醒时机")
    private String reminderVal;

    @Excel(name = "项目类型(如：服务器、域名等)")
    @ApiModelProperty("项目类型(如：服务器、域名等)")
    private String projectType;

    @Excel(name = "备注")
    @ApiModelProperty("备注")
    private String notes;

    @Excel(name = "是否失效")
    @ApiModelProperty("是否失效")
    private Integer isInvalid;

    @Excel(name = "提醒次数")
    @ApiModelProperty("提醒次数")
    private Long reminderNumber;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后提醒时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("最后提醒时间")
    private Date lastReminderTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下一次提醒日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("下一次提醒日期")
    private Date nextRemindTime;

    @Excel(name = "创建者")
    @ApiModelProperty("创建者")
    private Long createId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("创建时间")
    private Date creataDate;

    @Excel(name = "更新者")
    @ApiModelProperty("更新者")
    private Long updateId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "跟新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("跟新时间")
    private Date updateDate;

}
