package com.ruoyi.bst.remind.mapper;

import java.util.List;
import com.ruoyi.bst.remind.domain.Remind;
import com.ruoyi.bst.remind.domain.RemindVO;
import com.ruoyi.bst.remind.domain.RemindQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 定时提醒Mapper接口
 *
 * @author ruoyi
 * @date 2025-06-10
 */
public interface RemindMapper
{
    /**
     * 查询定时提醒
     *
     * @param id 定时提醒主键
     * @return 定时提醒
     */
    RemindVO selectRemindById(Long id);

    /**
     * 查询定时提醒列表
     *
     * @param query 定时提醒
     * @return 定时提醒集合
     */
    List<RemindVO> selectRemindList(@Param("query")RemindQuery query);

    /**
     * 新增定时提醒
     *
     * @param remind 定时提醒
     * @return 结果
     */
    int insertRemind(Remind remind);

    /**
     * 批量新增定时提醒
     */
    int batchInsert(@Param("list") List<? extends Remind> list);

    /**
     * 批量修改定时提醒
     */
    int batchUpdate(@Param("list") List<? extends Remind> list);

    /**
     * 修改定时提醒
     *
     * @param remind 定时提醒
     * @return 结果
     */
    public int updateRemind(@Param("data") Remind remind);

    /**
     * 删除定时提醒
     *
     * @param id 定时提醒主键
     * @return 结果
     */
    int deleteRemindById(Long id);

    /**
     * 批量删除定时提醒
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRemindByIds(Long[] ids);

    /**
     * 获取全部定时提醒任务
     *
     * @return 结果
     */
    List<RemindVO> selectEveryDay();


    /**
     * 获取全部定时提醒任务
     *
     * @return 结果
     */
    List<RemindVO> selectNotEveryDay();

}
