package com.ruoyi.bst.remind.service;

import java.util.List;

import com.ruoyi.bst.message.domain.Message;
import com.ruoyi.bst.remind.domain.Remind;
import com.ruoyi.bst.remind.domain.RemindVO;
import com.ruoyi.bst.remind.domain.RemindQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 定时提醒Service接口
 *
 * @author ruoyi
 * @date 2025-06-10
 */
public interface RemindService
{
    /**
     * 查询定时提醒
     *
     * @param id 定时提醒主键
     * @return 定时提醒
     */
    public RemindVO selectRemindById(Long id);

    /**
     * 查询定时提醒列表
     *
     * @param remind 定时提醒
     * @return 定时提醒集合
     */
    public List<RemindVO> selectRemindList(RemindQuery remind);

    /**
     * 新增定时提醒
     *
     * @param remind 定时提醒
     * @return 结果
     */
    public int insertRemind(Remind remind);

    /**
     * 修改定时提醒
     *
     * @param remind 定时提醒
     * @return 结果
     */
    public int updateRemind(Remind remind);

    /**
     * 批量删除定时提醒
     *
     * @param ids 需要删除的定时提醒主键集合
     * @return 结果
     */
    public int deleteRemindByIds(Long[] ids);

    /**
     * 删除定时提醒信息
     *
     * @param id 定时提醒主键
     * @return 结果
     */
    public int deleteRemindById(Long id);

    /**
     * 获取每天的任务
     *
     * @return 结果
     */
    public List<RemindVO> selectEveryDay();


    /**
     * 获取非每天的任务
     *
     * @return 结果
     */
    public List<RemindVO> selectNotEveryDay();

    /**
     * 批量插入
     * @param list  数据集合
     * @return  结果
     */
    int batchUpdate(@Param("list") List<Remind> list);

}
